/**
 * @file chk.cc
 * @author Macesuted (i@macesuted.moe)
 * @date 2023-03-10
 *
 * @copyright Copyright (c) 2023
 *
 */

#include "testlib.h"
#include <bits/stdc++.h>
using namespace std;

#define maxn 1005

long double x[maxn], y[maxn];

long double dist(int a, int b) { return sqrtl((x[a] - x[b]) * (x[a] - x[b]) + (y[a] - y[b]) * (y[a] - y[b])); }

int main(int argc, char* argv[]) {
    registerTestlibCmd(argc, argv);
    int n = inf.readInt();
    for (int i = 1; i <= n; i++) x[i] = inf.readDouble(), y[i] = inf.readDouble();
    long double std = 0, user = 0;
    int p = ans.readInt(), k = p;
    for (int i = 1, x; i < n; i++) std += dist(p, x = ans.readInt()), p = x;
    p = ouf.readInt();
    if (k != p) quitf(_wa, "p[1] != k !");
    for (int i = 1, x; i < n; i++) user += dist(p, x = ouf.readInt()), p = x;
    if (fabsl(user - std) > 1e-10 && fabsl(user - std) / std > 1e-10)
        quitf(_wa, "found '%.10Lf', expected '%.10Lf'", user, std);
    quitf(_ok, "Accepted!");
    return 0;
}